LibreOffice: DrawPage Service Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Included Services | Public Attributes | List of all members
DrawPage Service Referencepublished

This is the service provided by a com::sun::star::drawing::DrawPage inside a PresentationDocument. More...

Inheritance diagram for DrawPage:

## Included Services
service | com::sun::star::drawing::DrawPage
service | com::sun::star::document::LinkTarget
| Every page is a link target inside the document object model.
Included Services inherited from DrawPage
service | com::sun::star::drawing::GenericDrawPage
| This service describes the base functionality that every draw/master page has.

## Public Attributes
long | Change
| specifies how the page change is triggered.
long | Duration
| If the property com::sun::star::drawing::DrawPage::Change is set to 1, this is the time in seconds this page is shown before switching to the next page.
double | HighResDuration
| If the property com::sun::star::drawing::DrawPage::Change is set to 1, this is the time in seconds this page is shown before switching to the next page, also permitting sub-second precision here.
com::sun::star::presentation::FadeEffect | Effect
| This is the effect that is used to fade in this page.
short | Layout
| If this property is not ZERO, this number specifies a presentation layout for this page.
com::sun::star::presentation::AnimationSpeed | Speed
| Defines the speed of the fade-in effect of this page.
boolean | IsHeaderVisible
| defines if a header presentation shape from the master page is visible on this page.
string | HeaderText
| defines the text that is displayed in a header textfield rendered on this page.
boolean | IsFooterVisible
| defines if a footer presentation shape from the master page is visible on this page.
string | FooterText
| defines the text that is displayed in a footer textfield rendered on this page.
boolean | IsPageNumberVisible
| defines if a page number presentation shape from the master page is visible on this page.
boolean | IsDateTimeVisible
| defines if a date and time presentation shape from the master page is visible on this page.
boolean | IsDateTimeFixed
| defines if a date and time text field shows a fixed string value or the current date on this page.
string | DateTimeText
| defines the text that is displayed in a date and time textfield rendered on this page.
long | DateTimeFormat
| defines the format that is used to format a date and time text field on this page.
double | TransitionDuration
| Specifies slide transition time in seconds.
Public Attributes inherited from GenericDrawPage
long | BorderBottom
| This is the border at the bottom.
long | BorderLeft
| This is the border at the left.
long | BorderRight
| This is the border at the right.
long | BorderTop
| This is the border at the top.
long | Height
| This is the height.
long | Width
| This is the width.
short | Number
| This is the number of this page, starting with 1.
com::sun::star::view::PaperOrientation | Orientation
| This is the orientation of this page.
com::sun::star::container::XNameContainer | UserDefinedAttributes
| this property stores xml attributes.
boolean | IsBackgroundDark
| this property is true if the averaged background filling colors luminance is below an application specified threshold value.
com::sun::star::container::XIndexAccess | NavigationOrder
| this index access defines a navigation order for the top level shapes inside this page.
boolean | BackgroundFullSize
| does the background cover the full page or only inside the margins?
Public Attributes inherited from LinkTarget
string | LinkDisplayName
| contains a human readable name for this object that could be displayed in a user interface.

## Additional Inherited Members
Exported Interfaces inherited from DrawPage
interface | com::sun::star::drawing::XMasterPageTarget
| provides the link to a MasterPage.
interface | com::sun::star::form::XFormsSupplier
| provides access to the hierarchy of form components belonging to the draw page.
Exported Interfaces inherited from GenericDrawPage
interface | com::sun::star::drawing::XShapes
| manages the Shapes of this page.
interface | com::sun::star::drawing::XShapeGrouper
| With this interface you can group/ungroup a collection of Shapes.
interface | com::sun::star::drawing::XShapeCombiner
| With this interface you can combine/split a collection of Shapes.
interface | com::sun::star::drawing::XShapeBinder
| With this interface you can bind/unbind a collection of Shapes.
interface | com::sun::star::container::XNamed
| Gets or sets the name of this page.
interface | com::sun::star::beans::XPropertySet
| gives you access to the properties of this DrawPage.
Exported Interfaces inherited from LinkTarget
interface | com::sun::star::beans::XPropertySet
interface | com::sun::star::document::XLinkTargetSupplier
| a link target may have child objects which can be link targets too.
Public Member Functions inherited from XShapes
void | add ([in] com::sun::star::drawing::XShape xShape)
| inserts a Shape into this collection.
void | remove ([in] com::sun::star::drawing::XShape xShape)
| removes a Shape from this collection.
Public Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XShapeGrouper
com::sun::star::drawing::XShapeGroup | group ([in] com::sun::star::drawing::XShapes xShapes)
| groups the Shapes inside a collection.
void | ungroup ([in] com::sun::star::drawing::XShapeGroup aGroup)
| ungroups a given GroupShape.
Public Member Functions inherited from XMasterPageTarget
com::sun::star::drawing::XDrawPage | getMasterPage ()
void | setMasterPage ([in] com::sun::star::drawing::XDrawPage xMasterPage)
| links a MasterPage to this object.
Protected Member Functions inherited from XShapeCombiner
com::sun::star::drawing::XShape | combine ([in] com::sun::star::drawing::XShapes xShapes)
| combines Shapes
void | split ([in] com::sun::star::drawing::XShape Group)
| splits Shapes.
Protected Member Functions inherited from XShapeBinder
com::sun::star::drawing::XShape | bind ([in] com::sun::star::drawing::XShapes xShapes)
| binds Shapes together.
void | unbind ([in] com::sun::star::drawing::XShape xShape)
| breaks a Shape into its line segments
Protected Member Functions inherited from XNamed
string | getName ()
void | setName ([in] string aName)
| sets the programmatic name of the object.
Protected Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.
Protected Member Functions inherited from XFormsSupplier
com::sun::star::container::XNameContainer | getForms ()
| accesses the forms.
Protected Member Functions inherited from XLinkTargetSupplier
com::sun::star::container::XNameAccess | getLinks ()

## Detailed Description

This is the service provided by a com::sun::star::drawing::DrawPage inside a PresentationDocument.

See also
  PresentationDocument

Developers Guide
  Drawings and Presentations - Working with Presentation Documents
  Drawings and Presentations - Slide Transition

## Exported Interfaces

## ◆ com::sun::star::document::LinkTarget

service com::sun::star::document::LinkTarget

Every page is a link target inside the document object model.

## ◆ com::sun::star::drawing::DrawPage

service com::sun::star::drawing::DrawPage

## Member Data Documentation

## ◆ Change

long Change
| property

specifies how the page change is triggered.

If this is 0, the user must click to start each object animation and to change the page. If set to 1, the page is automatically switched. If it is set to 2, all object effects run automatically, but the user has to click on the page to change it.

## ◆ DateTimeFormat

long DateTimeFormat
| optionalproperty

defines the format that is used to format a date and time text field on this page.

This is only used if `IsDateTimeFixed` is `FALSE`.

## ◆ DateTimeText

string DateTimeText
| optionalproperty

defines the text that is displayed in a date and time textfield rendered on this page.

This value is only used if `IsDateTimeFixed` is `TRUE`.

## ◆ Duration

long Duration
| property

If the property com::sun::star::drawing::DrawPage::Change is set to 1, this is the time in seconds this page is shown before switching to the next page.

## ◆ Effect

com::sun::star::presentation::FadeEffect Effect
| property

This is the effect that is used to fade in this page.

## ◆ FooterText

string FooterText
| optionalproperty

defines the text that is displayed in a footer textfield rendered on this page.

## ◆ HeaderText

string HeaderText
| optionalproperty

defines the text that is displayed in a header textfield rendered on this page.

## ◆ HighResDuration

double HighResDuration
| optionalproperty

If the property com::sun::star::drawing::DrawPage::Change is set to 1, this is the time in seconds this page is shown before switching to the next page, also permitting sub-second precision here.

## ◆ IsDateTimeFixed

boolean IsDateTimeFixed
| optionalproperty

defines if a date and time text field shows a fixed string value or the current date on this page.

## ◆ IsDateTimeVisible

boolean IsDateTimeVisible
| optionalproperty

defines if a date and time presentation shape from the master page is visible on this page.

## ◆ IsFooterVisible

boolean IsFooterVisible
| optionalproperty

defines if a footer presentation shape from the master page is visible on this page.

## ◆ IsHeaderVisible

boolean IsHeaderVisible
| optionalproperty

defines if a header presentation shape from the master page is visible on this page.

## ◆ IsPageNumberVisible

boolean IsPageNumberVisible
| optionalproperty

defines if a page number presentation shape from the master page is visible on this page.

## ◆ Layout

short Layout
| property

If this property is not ZERO, this number specifies a presentation layout for this page.

## ◆ Speed

com::sun::star::presentation::AnimationSpeed Speed
| property

Defines the speed of the fade-in effect of this page.

See also
  TransitionSpeed

## ◆ TransitionDuration

double TransitionDuration
| optionalproperty

Specifies slide transition time in seconds.

Since
  LibreOffice 6.1

See also
  Speed

The documentation for this service was generated from the following file:

- com/sun/star/presentation/DrawPage.idl